!----- sample HTML fragments file ---------------------------------------------

Comments in this file (like these) are ignored if the file is selected via the
"HTML fragments file" policy.  

Only lines that begin with "$_$_" will be looked at.  You you can define
HTML fragments by placing the HTML code you want between DEFINE_HTML_FRAGMENT 
and END_BLOCK commands.  Lines in those blocks are *not* ignored, and may 
used special HTML fragment tags to acquire dynamic content (like URLs to 
next/previous pages, or line widths).  

See the program's Tag Manual for full details.

!----- HTML header and footers -----------------------------------------------

$_$_DEFINE_HTML_FRAGMENT HTML_HEADER
<TABLE WIDTH="100%">
<TR><TD>&nbsp;
</TD><TD>
<H2 ALIGN="CENTER">Documentation for the AscToRTF conversion utility</H2>
</TD></TR></TABLE>
<CENTER>
  <p>This documentation can be downloaded as part of the 
  documentation set in <A 
  HREF="http://www.jafsoft.com/doco/a2rdoco.zip">.zip format (370k)</A></p>
</CENTER>

<HR NOSHADE>
$_$_END_BLOCK

$_$_DEFINE_HTML_FRAGMENT HTML_FOOTER
<HR NOSHADE>
<TABLE WIDTH="100%">
<TR><TD WIDTH=100><a href="http://validator.w3.org/"><img border=0
        src="vh40.gif" alt="Valid HTML 4.0!" height=31 width=88></a></TD>
    <TD ALIGN="CENTER">Converted from 
      <A HREF="asctortf.txt">a single text file</A> by 
      <A HREF="http://www.jafsoft.com/asctohtm/">AscToHTM</A><br>
&copy; 1997-2004 John A Fotheringham
</TD><TD ALIGN="RIGHT"><A
      HREF="http://www.jafsoft.com/asctohtm/"><IMG
      SRC="a2hlogo.gif" WIDTH=100 HEIGHT=30 BORDER=0
      ALT="Converted by AscToHTM"></A></TD></TR>
</TABLE>
$_$_END_BLOCK

!----- Top navigation bars ---------------------------------------------------

! the following are the NAVBAR top fragments, used on the first, intermediate 
! and last pages respectively.  Within these blocks I'm using the [[NEXT_PAGE]]
! [[PREV_PAGE]] and [[CONTENTS_NEXT_SECTION]] HTML fragment tags to pick
! up the correct URLs when the fragment it used. 
!
! I'm using this to replace the "Next" and "Prev" links by graphics which
! are on the left and right of the page.  I use a table to get this effect
! and on later pages I add a "back to contents list" link in the middle.

$_$_DEFINE_HTML_FRAGMENT NAVBAR_TOP_FIRST
<DIV ALIGN="CENTER">
<TABLE WIDTH="80%"><TR>
  <TD ALIGN="LEFT" WIDTH="20%">
  &nbsp;
  </TD><TD ALIGN="CENTER" WIDTH="40%">&nbsp;
  </TD><TD ALIGN="RIGHT" WIDTH="20%">
  <A HREF="[[NEXT_PAGE]]"><IMG BORDER=0 SRC="next_hand.gif" ALT="Next page"></A> 
</TD></TR></TABLE>
</DIV>
<HR NOSHADE>
$_$_END_BLOCK


$_$_DEFINE_HTML_FRAGMENT NAVBAR_TOP
<DIV ALIGN="CENTER">
<TABLE WIDTH="80%"><TR>
<TD ALIGN="LEFT" WIDTH="20%">
  <A HREF="[[PREV_PAGE]]"><IMG BORDER=0 SRC="prev_hand.gif" ALT="Previous page"></A> 
</TD><TD ALIGN="CENTER" WIDTH="40%">
  <A HREF="[[CONTENTS_NEXT_SECTION]]">Back to Contents List</A>
</TD><TD ALIGN="RIGHT" WIDTH="20%">
  <A HREF="[[NEXT_PAGE]]"><IMG BORDER=0 SRC="next_hand.gif" ALT="Next page"></A> 
</TD></TR></TABLE>
</DIV>
<HR NOSHADE>
$_$_END_BLOCK


$_$_DEFINE_HTML_FRAGMENT NAVBAR_TOP_LAST
<DIV ALIGN="CENTER">
<TABLE WIDTH="80%"><TR>
<TD ALIGN="LEFT" WIDTH="20%">
  <A HREF="[[PREV_PAGE]]"><IMG BORDER=0 SRC="prev_hand.gif" ALT="Previous page"></A> 
</TD><TD ALIGN="CENTER" WIDTH="40%">
  <A HREF="[[CONTENTS_NEXT_SECTION]]">Back to Contents List</A>
</TD><TD ALIGN="RIGHT" WIDTH="20%">
  &nbsp;
</TD></TR></TABLE>
</DIV>
<HR NOSHADE>
$_$_END_BLOCK

!----- bottom navigation bars -------------------------------------------------

$_$_DEFINE_HTML_FRAGMENT NAVBAR_BOTTOM_FIRST
<HR NOSHADE>
<DIV ALIGN="CENTER">
<TABLE WIDTH="80%"><TR>
  <TD ALIGN="LEFT" WIDTH="20%">
  &nbsp;
  </TD><TD ALIGN="CENTER" WIDTH="40%">&nbsp;
  </TD><TD ALIGN="RIGHT" WIDTH="20%">
  <A HREF="[[NEXT_PAGE]]"><IMG BORDER=0 SRC="next_hand.gif" ALT="Next page"></A> 
</TD></TR></TABLE>
</DIV>
$_$_END_BLOCK


$_$_DEFINE_HTML_FRAGMENT NAVBAR_BOTTOM
<HR NOSHADE>
<DIV ALIGN="CENTER">
<TABLE WIDTH="80%"><TR>
<TD ALIGN="LEFT" WIDTH="20%">
  <A HREF="[[PREV_PAGE]]"><IMG BORDER=0 SRC="prev_hand.gif" ALT="Previous page"></A> 
</TD><TD ALIGN="CENTER" WIDTH="40%">
  <A HREF="[[CONTENTS_NEXT_SECTION]]">Back to Contents List</A>
</TD><TD ALIGN="RIGHT" WIDTH="20%">
  <A HREF="[[NEXT_PAGE]]"><IMG BORDER=0 SRC="next_hand.gif" ALT="Next page"></A> 
</TD></TR></TABLE>
</DIV>
$_$_END_BLOCK


$_$_DEFINE_HTML_FRAGMENT NAVBAR_BOTTOM_LAST
<HR NOSHADE>
<DIV ALIGN="CENTER">
<TABLE WIDTH="80%"><TR>
<TD ALIGN="LEFT" WIDTH="20%">
  <A HREF="[[PREV_PAGE]]"><IMG BORDER=0 SRC="prev_hand.gif" ALT="Previous page"></A> 
</TD><TD ALIGN="CENTER" WIDTH="40%">
  <A HREF="[[CONTENTS_NEXT_SECTION]]">Back to Contents List</A>
</TD><TD ALIGN="RIGHT" WIDTH="20%">
  &nbsp;
</TD></TR></TABLE>
</DIV>
$_$_END_BLOCK


!----- Horizontal rules ---------------------------------------------------

! Here's a redefinition of the horizontal rules <HR> that the program generates.
! I'm replacing them by an image, but I'm capturing the (pixel) width and fixing
! the height (othersize the image would scale).
!
! Within this fragment I'm using the [[RULEALIGN]] and [[RULEWIDTH]] HTML
! fragment tags to pick up the alignment and width appropriate for the rule
! when the fragment is used.
!
! NOTE, not all <HR> tags created by the program are currently overridden in
!       this way.

$_$_DEFINE_HTML_FRAGMENT HORIZONTAL_RULE
<DIV ALIGN="[[RULEALIGN]]">
<IMG SRC="HR.GIF" HEIGHT=4 WIDTH="[[RULEWIDTH]]"><BR>
</DIV>
$_$_END_BLOCK

!----- Frame headers ----------------------------------------------------------

$_$_DEFINE_HTML_FRAGMENT HEADER_FRAME
<DIV ALIGN="CENTER">
<H2>Documentation for the 
<A HREF="http://www.jafsoft.com/asctortf/">AscToRTF</A> conversion utility</H2>
<p>You can download this as part of the 
documentation set in <A HREF="http://www.jafsoft.com/doco/a2rdoco.zip">a2rdoco.zip 
(approx 370k)</A></p>
</DIV>
$_$_END_BLOCK

$_$_DEFINE_HTML_FRAGMENT FOOTER_FRAME
<TABLE WIDTH="100%">
<TR><TD WIDTH=100><a href="http://validator.w3.org/"><img border=0
        src="vh40.gif" alt="Valid HTML 4.0!" height=31 width=88></a></TD>
    <TD ALIGN="CENTER">Converted from a single text file by <A
      HREF="http://www.jafsoft.com/asctohtm/">AscToHTM</A><br>
&copy; 1997-2004 John A. Fotheringham
</TD><TD ALIGN="RIGHT"><A
      HREF="http://www.jafsoft.com/asctohtm/"><IMG
      SRC="a2hlogo.gif" WIDTH=100 HEIGHT=30 BORDER=0
      ALT="Converted by AscToHTM"></A></TD></TR>
</TABLE>
$_$_END_BLOCK
